#%SRCPAT% \.prot\.md

include /opt/lenaisten/compile-md.mk

PANDOCVARS := \
	colorlinks:true \
	csquotes:true \
	hyperrefoptions:pdfa \
	lang:de-DE

suffixPub :=
suffixInt := _intern

mdFiles     := $(wildcard *.prot.md)
mdSuffix    =  $(patsubst %.prot.md,%$(1),$(mdFiles))

pdfFilesPub := $(call mdSuffix,$(suffixPub).pdf)
pdfFilesInt := $(call mdSuffix,$(suffixInt).pdf)

texFilesPub := $(call mdSuffix,$(suffixPub).tex)
texFilesInt := $(call mdSuffix,$(suffixInt).tex)

.PHONY: all autodoc
all: pdf tex
autodoc: pdf

.PHONY: pdf tex
pdf: $(pdfFilesPub) $(pdfFilesInt)
tex: $(texFilesPub) $(texFilesInt)

# pdf

%$(suffixPub).pdf: %.prot.md lev-shorthands.sty
	/opt/lenaisten/redact.py $< | $(call md2pdfa,-,lev-protokoll,$@)

%$(suffixInt).pdf: %.prot.md lev-shorthands.sty
	/opt/lenaisten/redact.py --internal $< | $(call md2pdfa,-,lev-protokoll,$@)

# tex

%$(suffixPub).tex: %.prot.md lev-shorthands.sty
	/opt/lenaisten/redact.py $< | $(call compile_md,-,lev-protokoll,latex,$@)

%$(suffixInt).tex: %.prot.md lev-shorthands.sty
	/opt/lenaisten/redact.py --internal $< | $(call compile_md,-,lev-protokoll,latex,$@)
